#if !defined(AFX_XPCONTROL_H__A78E0E39_C80D_42C0_8EFD_DC7E32782425__INCLUDED_)
#define AFX_XPCONTROL_H__A78E0E39_C80D_42C0_8EFD_DC7E32782425__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// XPControl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// XPControl dialog

class XPControl : public CDialog
{
// Construction
public:
	BOOL Once;
	XPControl(CWnd* pParent = NULL);   // standard constructor

	CWnd* m_pParent; // used for modeless operations
	int m_nID;

	BOOL Create();	

// Dialog Data
	//{{AFX_DATA(XPControl)
	enum { IDD = IDD_XPCONTROL };
	CComboBox	m_Direction2;
	CComboBox	m_Direction;
	BOOL	m_LeftSide;
	BOOL	m_RightSide;
	BOOL	m_Map;
	BOOL	m_Nav;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(XPControl)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(XPControl)
	afx_msg void OnHide();
	afx_msg void OnOrder();
	afx_msg void OnNav();
	afx_msg void OnMap();
	afx_msg void OnRightside();
	afx_msg void OnLeftside();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XPCONTROL_H__A78E0E39_C80D_42C0_8EFD_DC7E32782425__INCLUDED_)
